<template>
  <div class="comments">
    <h2 class="comments__title">
      <span>
        Comments
      </span>
      <PartialsHeaderSearch/>
    </h2>
    <div class="comments__list" v-if="comments.length">
      <div class="comments__item" v-for="comment in comments" :key="comment.id">
        <div class="comments__item-info">
          <div class="comments__item-avatar">{{comment.name.charAt(0).toUpperCase()}}</div>
          <div class="block">
            <div class="comments__item-name">{{useFirstCharBig(comment.name)}}</div>
            <div class="comments__item-email">{{comment.email}}</div>
          </div>
        </div>
        <p class="comments__item-description">{{ useFirstCharBig(comment.body) }}</p>
      </div>
    </div>
    <BlogEmpty v-else/>
  </div>
</template>
<script setup lang="ts">
const props = defineProps<{
  comments: Comment[]
}>()
type Comment = {
  postId: number
  id: number
  name: string
  email: string
  body: string
}
</script>